Box2D 2.3.0 A 2D Physics Engine for Games

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
b2MassData Struct Reference

This holds the mass data computed for a shape. More...

`#include <b2Shape.h>`

## Public Attributes
float32 | mass
| The mass of the shape, usually in kilograms.
b2Vec2 | center
| The position of the shape's centroid relative to the shape's origin.
float32 | I
| The rotational inertia of the shape about the local origin.

## Detailed Description

This holds the mass data computed for a shape.

The documentation for this struct was generated from the following file:

- b2Shape.h